import QtQuick 2.0
import Sailfish.Silica 1.0

Item
{
	id: entry

	property alias icon: icon.source
	property alias text: label.text
	property int iconSize: Theme.iconSizeMedium
	height: row.height
	width: row.width

	signal pressed()

	Row
	{
		id: row
		spacing: Theme.paddingSmall

		Image
		{
			id: icon
			sourceSize.width: iconSize
			sourceSize.height: iconSize
			width: iconSize
			height: iconSize
		}
		Label
		{
			id: label
			height: icon.height
			verticalAlignment: Text.AlignVCenter
		}
	}

	MouseArea
	{
		anchors.fill: row
		onPressed:
		{
			entry.pressed();
		}
	}
}
